import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createCompHooks } from "../../../defines/createCompHooks";
import { createCompId } from "../../../defines/createCompId";

export { Component } from "./component";

export const options = {
  name: "卡片",
  thumbnail: require("@/assets/comps/Card13/thumbnail.jpg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: {},
  layout: {
    size: [750, 800],
  },
  children: {
    text: () =>
      createCompId("Text", {
        value: `<p style="text-align:center;">两面开边珠，无漆皮光亮&nbsp;</p><p style="text-align:center;">却比漆皮更耐用，不容易爆皮&nbsp;</p><p style="text-align:center;">逛着干看起来更加高档&nbsp;</p><p style="text-align:center;">丰富多彩的流行色水，增加无限魅力</p><p style="text-align:center;">既有复古的韵味更有时下的潮流元素</p>`,
        layout: {
          size: [390, 420],
        },
      }),
    img1: () =>
      createCompId("Image", {
        value: {
          url: require("@/assets/comps/Card13/img_1.jpg"),
        },
        layout: {
          size: [274, 256],
        },
      }),
    imgShoe: () =>
      createCompId("Text", {
        value: {
          url: require("@/assets/comps/Card13/img_shoe.png"),
        },
        layout: {
          size: [350, 280],
        },
      }),
  },
});

export const Form = createAttrsForm([]);
